%bcond_with check
%global _unpackaged_files_terminate_build 0 
%global common_description %{expand: Something like everything, but nothing is really like anything...}
%global dname dkms
%global lname libs
%global sname server

Name:          deepin-anything
Version:       5.0.19
Release:       1
Summary:       Something like everything, but nothing is really like anything...
License:       GPLv3
URL:           https://uos-packages.deepin.com/uos/pool/main/d/deepin-anything/
Source0:       %{name}-%{version}.tar.gz
Patch0:        0001-change-compile-option.patch


BuildRequires: qt5-qtbase-devel
BuildRequires: dtkcore-devel
BuildRequires: udisks2-qt5
BuildRequires: udisks2-qt5-devel
BuildRequires: libmount
BuildRequires: libmount-devel
BuildRequires: pcre-devel
BuildRequires: glib2-devel


%description
%{common_description}

%package -n %{name}-%{dname}
Summary:    %{summary}
%description -n %{name}-%{dname}


%package -n %{name}-%{lname}
Summary:    %{summary}
%description -n %{name}-%{lname}

%package -n %{name}-%{sname}
Summary:    %{summary}
%description -n %{name}-%{sname}

%package -n %{name}-devel
Summary: Development package for %name

%description devel
This package provides header files and libraries for %name.

%prep
%setup
%patch0 -p1
sed -i 's|lib/|lib64/|g' Makefile

%build
export PATH=$PATH:%{_libdir}/qt5/bin
%{__make}

%install
%make_install
mkdir -p %{?buildroot}/usr/lib/modules-load.d/
mkdir -p %{buildroot}/usr/lib/systemd/system/
#mv %{?buildroot}%{_libdir}/modules-load.d/anything.conf %{?buildroot}/usr/lib/modules-load.d/
install -Dm644 server/tool/deepin-anything-tool.service %{buildroot}/usr/lib/systemd/system/
install -Dm644 server/monitor/deepin-anything-monitor.service %{buildroot}/usr/lib/systemd/system/

%files -n  %{name}-%{dname}
%exclude /usr/lib64/modules-load.d/anything.conf
%exclude /lib/systemd/system/deepin-anything-monitor.service
%exclude /lib/systemd/system/deepin-anything-tool.service
%exclude /usr/lib/sysusers.d/deepin-anything-monitor.conf
%{_usrsrc}/deepin-anything-0.0/*

%files -n  %{name}-%{lname}
%{_libdir}/libanything.so.*

%files -n  %{name}-%{sname}
%{_bindir}/deepin-anything-monitor
%{_bindir}/deepin-anything-tool
%{_bindir}/deepin-anything-tool-ionice
%{_libdir}/libdeepin-anything-server-lib.so.*
%{_libdir}/deepin-anything-server-lib/plugins/handlers/README.txt
%{_libdir}/deepin-anything-server-lib/plugins/handlers/libupdate-lft.so
%{_datadir}/dbus-1/interfaces/com.deepin.anything.xml
%{_datadir}/dbus-1/system-services/com.deepin.anything.service
%{_sysconfdir}/dbus-1/system.d/com.deepin.anything.conf
%exclude /usr/lib/systemd/system/deepin-anything-monitor.service
/usr/lib/systemd/system/deepin-anything-tool.service

%files devel
%{_libdir}/libanything.so
%{_libdir}/libdeepin-anything-server-lib.so
%dir %{_includedir}/%{name}*/
%dir %{_includedir}/%name/index/
%{_includedir}/%{name}*/*.h
%{_includedir}/%name/index/*.h
%{_libdir}/pkgconfig/deepin-anything-server-lib.pc

%changelog
* Fri Jul 28 2023 leeffo <liweiganga@uniontech.com> - 5.0.19-1
- upgrade to version 5.0.19

* Thu Mar 30 2023 liweiganga <liweiganga@uniontech.com> - 5.0.15-1
- update: update to 5.0.15

* Mon Mar 13 2023 liweiganga <liweiganga@uniontech.com> - 5.0.9-2
- enable debuginfo

* Mon Jul 18 2022 konglidong <konglidong@uniontech.com> - 5.0.9-1
- update to 5.0.9

* Tue Jun 08 2021 weidong <weidong@uniontech.com> - 5.0.1-2
- openEuler kernel don't support vfs,so delete deepin-anything-monitor.service

* Thu Jul 30 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.0.1-1
- Package init
